Skip to main content
GET
Get a personal contact's meeting history

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

id
string
required

The contact's id from GET /v2/contacts.

Example:

"0192f3a1-7c2b-7d4e-9a10-000000000001"

Query Parameters

status
enum<string>
required

Which meetings to list: upcoming soonest first, or past newest first, from summary.coveredSince onwards.

Available options:
upcoming,
past
Example:

"past"

cursor
string

Opaque cursor from pagination.nextCursor. Omit for the first page; keep the same status on subsequent pages.

Response

status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required
pagination
object
required